      subroutine putcomp(nx,ntaupow2,iadcomp,vfe)
      implicit none
      integer nx,ntaupow2,iadcomp
      real vfe(ntaupow2,nx)
      integer feoff(2),cmst(2),cmend(2),cmax(2),fedim(2)
      include '/usr/include/cm/paris-configuration-fort.h'
      feoff(1)=0
      feoff(2)=0
      cmst(1)=0
      cmst(2)=0
      cmend(1)=ntaupow2
      cmend(2)=nx
      cmax(1)=0
      cmax(2)=1
      fedim(1)=ntaupow2
      fedim(2)=nx
         call CM_f_read_from_news_array_1L(vfe,feoff,cmst,cmend,
     1        cmax,iadcomp,23,8,2,fedim,CM_float_single_array)
      call snap('comp',ntaupow2,nx,vfe)
      return
      end
